package com.ningdatech.pmapi.todocenter;

import com.ningdatech.pmapi.AppTests;
import com.ningdatech.pmapi.todocenter.bean.entity.WorkNoticeInfo;
import com.ningdatech.pmapi.todocenter.manage.TodoCenterManage;
import com.ningdatech.pmapi.user.entity.UserInfo;
import com.ningdatech.zwdd.client.ZwddClient;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import static com.ningdatech.pmapi.todocenter.constant.WorkNotice.PASS_MSG_TEMPLATE;

/**
 * 待办中心测试
 *
 * @author CMM
 * @since 2023/02/15 22:03
 */
@Slf4j
public class TodoCenterTest extends AppTests {

    @Autowired
    private TodoCenterManage todoCenterManage;

    @Autowired
    private ZwddClient zwddClient;
    @Test
    public void sendWorkNoticeTest(){
        // String msg = String.format(PASS_MSG_TEMPLATE, "发改委", "0216-4-测试项目");
        String msg = "发改委的0216-6-测试项目需要您审核";
        log.info("开始发送工作通知");
        zwddClient.sendWorkNotice("846085","0216-7",msg);
        // zwddClient.sendWorkNotice("829728","0216-5",msg);
        log.info("发送工作通知结束");
    }
}
